Summary:	The NIS daemon which binds NIS clients to an NIS domain
Summary(es.UTF-8):	Proceso de ligación NIS
Summary(pl.UTF-8):	Demon NIS przyłączający klientów NIS do domeny NIS
Summary(pt_BR.UTF-8):	Processo de ligação NIS
Summary(zh_CN.UTF-8):	NIS 服务器
Name:		ypbind-mt
Version:	1.37.1
Release:	2
License:	GPL
Group:		Networking/Daemons
Source0:	http://www.linux-nis.org/download/ypbind-mt//%{name}-%{version}.tar.bz2
# Source0-md5:	8af8d35e7b9a7fcc3a1576697a04bd82
Source1:	ypbind.init
Source2:	yp.conf
Patch0:		%{name}-pthread.patch
Patch1:		%{name}-broadcast.patch
Patch2:		%{name}-dbus.patch
URL:		http://www.linux-nis.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	dbus-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	gettext-tools
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	nss_nis
Requires:	portmap
Requires:	rc-scripts >= 0.4.1.5
Requires:	yp-tools
Provides:	ypbind
Obsoletes:	ypbind
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
The Network Information Service (NIS) is a system which provides
network information (login names, passwords, home directories, group
information) to all of the machines on a network. NIS can enable users
to login on any machine on the network, as long as the machine has the
NIS client programs running and the user's password is recorded in the
NIS passwd database. NIS was formerly known as Sun Yellow Pages (YP).

This package provides the ypbind daemon. The ypbind daemon binds NIS
clients to an NIS domain. Ypbind must be running on any machines which
are running NIS client programs.

Install the ypbind package on any machines which are running NIS
client programs (included in the yp-tools package). If you need an NIS
server, you'll also need to install the ypserv package to a machine on
your network.

%description -l es.UTF-8
Este es un daemon que se ejecuta en clientes NIS/YP y los relaciona a
un dominio NIS. Debe ejecutarse en sistemas basados en la glibc para
funcionaren como clientes NIS.

%description -l pl.UTF-8
NIS (Network Information Service) to system dostarczający informacje
sieciowe (nazwy użytkowników, hasła, katalogi domowe, informacje o
grupach) wszystkim maszynom w sieci. NIS może pozwalać użytkownikom
logować się na dowolnej maszynie w sieci pod warunkiem, że maszyna ma
działające programy klienckie NIS i hasło użytkownika jest zapisane w
bazie haseł NIS. NIS był wcześniej znany jako YP (Sun Yellow Pages).

Ten pakiet zawiera demona ypbind. Demon ten przyłącza klientów NIS do
domeny NIS. ypbind musi działać na każdej maszynie, na której działają
programy klienckie NIS.

%description -l pt_BR.UTF-8
Este é um daemon que roda em clientes NIS/YP e os relaciona a um
domínio NIS. Ele deve estar rodando em sistemas baseados na glibc para
agirem como clientes NIS.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

cat m4/jh_path_xml_catalog.m4 >> acinclude.m4
rm -rf m4

%build
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-slp
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{etc/rc.d/init.d,var/yp/binding}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ypbind
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/yp.conf

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add ypbind
%service ypbind restart

%preun
if [ "$1" = "0" ]; then
	%service ypbind stop
	/sbin/chkconfig --del ypbind
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_sbindir}/ypbind
%attr(754,root,root) /etc/rc.d/init.d/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/yp.conf
%{_mandir}/man[58]/*
%dir /var/yp/binding
%changelog
* Sat Feb 25 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ypbind-mt.git;a=log;h=master

* Sat Feb 25 2017 Jan Rękorajski <baggins@pld-linux.org> f1de939
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 43ae437
- updated gettext BR

* Sat Aug 03 2013 Jan Rękorajski <baggins@pld-linux.org> b67a60f
- up to 1.37.1

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 2dfd897
- dropped pre-cvs changelog

* Mon Jun 22 2009 amateja <amateja@pld-linux.org> 90edcd1
- updated to 1.29.91

* Thu May 21 2009 amateja <amateja@pld-linux.org> eb31c14
- updated to 1.29.90

* Thu May 21 2009 amateja <amateja@pld-linux.org> b86fb24
- adjusted for 1.29.90

* Thu Feb 26 2009 duddits <duddits@pld-linux.org> 2d89817
- up to 1.22
- dbus.patch added

* Thu Feb 26 2009 duddits <duddits@pld-linux.org> b0f9c89
- needed to define dbus signal state change

* Wed Feb 06 2008 Elan Ruusamäe <glen@pld-linux.org> f56b9b7
- rel 4

* Wed Feb 06 2008 Elan Ruusamäe <glen@pld-linux.org> 6280a16
- drop invalid trigger (ypbind-3.3-5 is not a version); rel 3

* Fri Sep 07 2007 Jan Rękorajski <baggins@pld-linux.org> c08f7c3
- rel 2
- use shell $(()) instead of expr to do the math in init script

* Fri Sep 07 2007 Jan Rękorajski <baggins@pld-linux.org> 7e52128
- use shell $(()) instead of expr to do the math

* Mon Aug 27 2007 Elan Ruusamäe <glen@pld-linux.org> 4b3db36
- add condrestart

* Mon Aug 27 2007 Elan Ruusamäe <glen@pld-linux.org> 44f69cf
- typo

* Mon Aug 27 2007 Elan Ruusamäe <glen@pld-linux.org> d710198
- use functions

* Mon Aug 27 2007 Elan Ruusamäe <glen@pld-linux.org> 24832c8
- typo

* Mon Jun 11 2007 Jakub Bogusz <qboosh@pld-linux.org> 6e24596
- cleanup

* Sat Jun 09 2007 areq <areq@pld-linux.org> 2c89343
- BR dbus-glib-devel

* Thu Jun 07 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 8938724
- up to 1.20.4; added dbus BR

